// UCCPlayerView.h : interface of the CUCCPlayerView class
//
/////////////////////////////////////////////////////////////////////////////
//{{AFX_INCLUDES()
#include "ucchmi.h"
//}}AFX_INCLUDES

#if !defined(AFX_UCCPLAYERVIEW_H__341CFF94_A7D2_41D6_B825_B6113ED3FBCD__INCLUDED_)
#define AFX_UCCPLAYERVIEW_H__341CFF94_A7D2_41D6_B825_B6113ED3FBCD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CUCCPlayerView : public CFormView
{
protected: // create from serialization only
	CUCCPlayerView();
	DECLARE_DYNCREATE(CUCCPlayerView)

public:
	//{{AFX_DATA(CUCCPlayerView)
	enum { IDD = IDD_UCCPLAYER_FORM };
	CUCCHMI	m_XDrawCtrl;
	//}}AFX_DATA

// Attributes
public:
	CUCCPlayerDoc* GetDocument();

	IPictureDisp* m_pIPictureDisp1;
	IPictureDisp* m_pIPictureDisp2;
	IPictureDisp* m_pIPictureDisp3;
	IPictureDisp* m_pIPictureDisp4;
	IPictureDisp* m_pIPictureDisp5;
	IPictureDisp* m_pIPictureDisp6;
	IPictureDisp* m_pIPictureDisp7;
	IPictureDisp* m_pIPictureDisp8;
	IPictureDisp* m_pIPictureDisp9;
	IPictureDisp* m_pIPictureDisp10;
	IPictureDisp* m_pIPictureDisp11;
	IPictureDisp* m_pIPictureDisp12;
	IPictureDisp* m_pIPictureDisp13;
	IPictureDisp* m_pIPictureDisp14;
	IPictureDisp* m_pIPictureDisp15;
	IPictureDisp* m_pIPictureDisp16;
	IPictureDisp* m_pIPictureDisp17;
	IPictureDisp* m_pIPictureDisp18;
	IPictureDisp* m_pIPictureDisp19;
	IPictureDisp* m_pIPictureDisp20;
	
	CBitmap m_testBitmap1;
	CBitmap m_testBitmap2;
	CBitmap m_testBitmap3;
	CBitmap m_testBitmap4;
	CBitmap m_testBitmap5;

	CBitmap m_testBitmap6;
	CBitmap m_testBitmap7;
	CBitmap m_testBitmap8;
	CBitmap m_testBitmap9;
	CBitmap m_testBitmap10;

	CBitmap m_testBitmap11;
	CBitmap m_testBitmap12;
	CBitmap m_testBitmap13;
	CBitmap m_testBitmap14;
	CBitmap m_testBitmap15;

	CBitmap m_testBitmap16;
	CBitmap m_testBitmap17;
	CBitmap m_testBitmap18;
	CBitmap m_testBitmap19;
	CBitmap m_testBitmap20;


	LPLOGPALETTE m_lpLogPal;
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUCCPlayerView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CUCCPlayerView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CUCCPlayerView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDraw1();
	afx_msg void OnUpdateDraw1(CCmdUI* pCmdUI);
	afx_msg void OnDraw2();
	afx_msg void OnUpdateDraw2(CCmdUI* pCmdUI);
	afx_msg void OnDraw3();
	afx_msg void OnUpdateDraw3(CCmdUI* pCmdUI);
	afx_msg void OnDraw4();
	afx_msg void OnUpdateDraw4(CCmdUI* pCmdUI);
	afx_msg void OnDraw5();
	afx_msg void OnUpdateDraw5(CCmdUI* pCmdUI);
	afx_msg void OnDraw6();
	afx_msg void OnUpdateDraw6(CCmdUI* pCmdUI);
	afx_msg void OnDraw7();
	afx_msg void OnUpdateDraw7(CCmdUI* pCmdUI);
	afx_msg void OnDraw8();
	afx_msg void OnUpdateDraw8(CCmdUI* pCmdUI);
	afx_msg void OnDraw9();
	afx_msg void OnUpdateDraw9(CCmdUI* pCmdUI);
	afx_msg void OnDraw10();
	afx_msg void OnUpdateDraw10(CCmdUI* pCmdUI);
	afx_msg void OnDraw11();
	afx_msg void OnUpdateDraw11(CCmdUI* pCmdUI);
	afx_msg void OnDraw12();
	afx_msg void OnUpdateDraw12(CCmdUI* pCmdUI);
	afx_msg void OnDraw13();
	afx_msg void OnUpdateDraw13(CCmdUI* pCmdUI);
	afx_msg void OnDraw14();
	afx_msg void OnUpdateDraw14(CCmdUI* pCmdUI);
	afx_msg void OnDraw15();
	afx_msg void OnUpdateDraw15(CCmdUI* pCmdUI);
	afx_msg void OnDraw16();
	afx_msg void OnUpdateDraw16(CCmdUI* pCmdUI);
	afx_msg void OnDraw17();
	afx_msg void OnUpdateDraw17(CCmdUI* pCmdUI);
	afx_msg void OnDraw18();
	afx_msg void OnUpdateDraw18(CCmdUI* pCmdUI);
	afx_msg void OnDrawStart();
	afx_msg void OnUpdateDrawStart(CCmdUI* pCmdUI);
	afx_msg void OnDrawStop();
	afx_msg void OnUpdateDrawStop(CCmdUI* pCmdUI);
	afx_msg void OnFoDrawSelect();
	afx_msg void OnFoDrawStatic();
	afx_msg void OnEditRedo();
	afx_msg void OnEditUndo();
	afx_msg void OnUpdateEditRedo(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditUndo(CCmdUI* pCmdUI);
	afx_msg void OnTestSubgraph();
	afx_msg void OnTestUnsubgraph();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in UCCPlayerView.cpp
inline CUCCPlayerDoc* CUCCPlayerView::GetDocument()
   { return (CUCCPlayerDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_UCCPLAYERVIEW_H__341CFF94_A7D2_41D6_B825_B6113ED3FBCD__INCLUDED_)
